package com.bonus.common.houqin.mq.rabbit.tx;


import com.bonus.common.houqin.mq.MQTemplate;
import com.bonus.common.houqin.mq.rabbit.RabbitPropertiesExt;
import com.bonus.common.houqin.mq.tx.TxHolder;

public class RabbitTxHolder extends TxHolder {
   private final RabbitPropertiesExt.RabbitMessage message;

   public RabbitTxHolder(RabbitPropertiesExt.RabbitMessage message, MQTemplate mqTemplate) {
      super(mqTemplate);
      this.message = message;
   }

   public RabbitPropertiesExt.RabbitMessage getMessage() {
      return this.message;
   }

}
